Skip to content

Settings

Manage user settings (key-value store).

MethodPathDescription
GET/v1/settingsList all settings
GET/v1/settings/:keyGet setting by key
PUT/v1/settings/:keyUpdate setting
DELETE/v1/settings/:keyDelete setting

GET /v1/settings
Terminal window
curl https://api.tokenbot.com/v1/settings \
-H "X-API-Key: tb_live_your_key"

GET /v1/settings/:key

PUT /v1/settings/:key
{ "value": "dark" }
Terminal window
curl -X PUT https://api.tokenbot.com/v1/settings/theme \
-H "X-API-Key: tb_live_your_key" \
-H "Content-Type: application/json" \
-d '{"value":"dark"}'

DELETE /v1/settings/:key